## Copyright (C) 2020 Ioannis Kosmidis

## Distributed as part of the supplementary material for the manuscript
## "Empirical bias-reducing adjustments to estimating functions"
##
## Authors: Ioannis Kosmidis
## Date: 06 January 2020
## Licence: GPL 2 or greater
## NOT A POLISHED PIECE OF PUBLIC-USE SOFTWARE!  Provided "as is".
## NO WARRANTY OF FITNESS FOR ANY PURPOSE!

brquasiControl <- function(epsilon = 1e-04, maxit = 500,
                           trace = FALSE,
                           type = c("QL", "AS_empirical_mean"),
                           slowit = 1,
                           response_adjustment = 0,
                           max_step_factor = 12,
                           only_beta = TRUE,
                           lambda = 1e-10,
                           disp_factor = c("n-p", "n")) {
    type <- match.arg(type)
    disp_factor <- match.arg(disp_factor)
    if (!is.numeric(epsilon) || epsilon <= 0) {
        stop("value of 'epsilon' must be > 0")
    }
    list(epsilon = epsilon, maxit = maxit, trace = trace,
         response_adjustment = response_adjustment,
         type = type,
         slowit = slowit,
         only_beta = only_beta,
         lambda = lambda, 
         max_step_factor = max_step_factor,
         disp_factor = disp_factor)
}

